[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ParentFormHandleInitialized

ParentFormHandleInitialized - called by ChildHandlesCreated of parent form

## Declaration

Source position: controls.pp line 1186

`protected procedure TControl.ParentFormHandleInitialized; virtual;`

## Description

The form is a real connection to the target screen.

For example, the gtk under X gathers some screen information, but not before form creation.

But this information is needed to create DeviceContexts, which are needed to calculate Text Size and such stuff needed for AutoSizing.

That's why AdjustSize delays AutoSizing till this moment.

Now do the AutoSize.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .